BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Permute.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Std.pm) perl(Pod/Usage.pm) perl(Sysadm/Install.pm)
# END SourceDeps(oneline)
%define module_name Algorithm-Bucketizer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Distribute sized items to buckets with limited size
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHILLI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
So, you own a number of mp3-Songs on your hard disc and want to copy them to 
a number of CDs, maxing out the space available on each of them?
You want to distribute your picture collection into several folders, 
so each of them doesn't exceed a certain size? `Algorithm::Bucketizer'
comes to the rescue.

`Algorithm::Bucketizer' distributes items of a defined size into
a number of dynamically created buckets, each of them capable of
holding items of a defined total size.

By calling the `$bucketizer->add_item()' method with the item (can be
a scalar or an object reference) and its size as parameters, you're adding
items to the system. The bucketizer will determine if the item
fits into one of the existing buckets and put it in there if possible.
If none of the existing buckets has enough space left to hold the
new item (or if no buckets exist yet for that matter), 
the bucketizer will create a new bucket and put the item 
in there.

After adding all items to the system, the bucketizer lets you iterate
over all buckets 
with the `$bucketizer->items()' method
and determine what's in each of them.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

